org.springframework.data.relational.core.sql

## Interface DeleteBuilder.DeleteWhere

All Superinterfaces:
  DeleteBuilder.BuildDelete

Enclosing interface:
  DeleteBuilder

    public static interface DeleteBuilder.DeleteWhere
    extends DeleteBuilder.BuildDelete

Interface exposing `WHERE` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`DeleteBuilder.DeleteWhereAndOr` `where(Condition condition)` Apply a `WHERE` clause.

### Methods inherited from interface org.springframework.data.relational.core.sql.DeleteBuilder.BuildDelete

`build`

### Method Detail

#### where

    DeleteBuilder.DeleteWhereAndOr where(Condition condition)

Apply a `WHERE` clause.

Parameters:
  `condition` - the `WHERE` condition.
Returns:
  `this` builder.
See Also:
  `Where`, `Condition`